#ifndef _RFLEX_CONST_ATRV_JR_H
#define _RFLEX_CONST_ATRV_JR_H

/* Contants measured by tests on Gromit, an ATRV Junior at NASA Ames */
#define RFLEX_LIN_STEP_TO_M  93836
#define RFLEX_ANG_STEP_TO_RAD 38405


/*             Front              */

/*         06 07 08 09 10         */
/*       05              16       */
/*       04              15       */
/*       03              14       */
/*       02              13       */
/*       01              12       */
/*         00          11         */


#define RFLEX_SONARS_CONFIG_CONST { \
	{ -0.3,    0.15,  3.1415}, /* Sonar 0 */ \
	{ -0.275,  0.18,  1.571}, /* Sonar 1 */ \
	{  0.07,   0.18,  1.571}, /* Sonar 2 */ \
	{  0.115,  0.18,  1.30}, /* Sonar 3 */ \
	{  0.17,   0.18,  1.04}, /* Sonar 4 */ \
	{  0.23,   0.18,  0.78}, /* Sonar 5 */ \
	{  0.3,    0.10,  0.52}, /* Sonar 6 */ \
	{  0.3,    0.05,  0.26}, /* Sonar 7 */ \
	{  0.3,    0.0,   0.0}, /* Sonar 8 */ \
	{  0.3,   -0.05, -0.26}, /* Sonar 9 */ \
	{  0.3,   -0.10, -0.52}, /* Sonar 10 */ \
	{ -0.3,   -0.15, -3.1415}, /* Sonar 11 */ \
	{ -0.275, -0.18, -1.571}, /* Sonar 12 */ \
	{  0.07,  -0.18, -1.571}, /* Sonar 13 */ \
	{  0.115, -0.18, -1.30}, /* Sonar 14 */ \
	{  0.17,  -0.18, -1.04}, /* Sonar 15 */ \
	{  0.23,  -0.18, -0.78}, /* Sonar 16 */ \
}

#endif
