
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef RFLEX_PRINTXML_H
#define RFLEX_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/genBasicPrintXML.h"

#include "server/genPosPrintXML.h"

#include "server/pomPrintXML.h"


#include "rflexPosterLib.h"

/* Prototypes */
extern void printXML_struct_RFLEX_SONARSCART_POSTER_STR ( FILE *out, char *name,
     struct RFLEX_SONARSCART_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_SONARSRHO_POSTER_STR ( FILE *out, char *name,
     struct RFLEX_SONARSRHO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_SONARSCONFIG_POSTER_STR ( FILE *out, char *name,
     struct RFLEX_SONARSCONFIG_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_MEPOS_POSTER_STR ( FILE *out, char *name,
     struct RFLEX_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_ROBOT_POSTER_STR ( FILE *out, char *name,
     struct RFLEX_ROBOT_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_STR ( FILE *out, char *name,
     struct RFLEX_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_ODOMETRY_METHOD ( FILE *out, char *name,
     struct RFLEX_ODOMETRY_METHOD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RFLEX_ODOMETRY_MODE ( FILE *out, char *name,
     enum RFLEX_ODOMETRY_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_GYRO ( FILE *out, char *name,
     struct RFLEX_GYRO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_GYRO_PARAMS ( FILE *out, char *name,
     struct RFLEX_GYRO_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RFLEX_GYRO_MODE ( FILE *out, char *name,
     enum RFLEX_GYRO_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_JOYSTICK_STR ( FILE *out, char *name,
     struct RFLEX_JOYSTICK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_SYSTEM_STATE_STR ( FILE *out, char *name,
     struct RFLEX_SYSTEM_STATE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RFLEX_BATTERY_STATUS ( FILE *out, char *name,
     enum RFLEX_BATTERY_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_SONARS_RANGE ( FILE *out, char *name,
     struct RFLEX_SONARS_RANGE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_SONARS_CART_MEASURES ( FILE *out, char *name,
     struct RFLEX_SONARS_CART_MEASURES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_POINT ( FILE *out, char *name,
     struct RFLEX_POINT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_SONARS_CONFIG ( FILE *out, char *name,
     struct RFLEX_SONARS_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_CONFIG ( FILE *out, char *name,
     struct RFLEX_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_MISC_ODO ( FILE *out, char *name,
     struct RFLEX_MISC_ODO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_ODO_STR ( FILE *out, char *name,
     struct RFLEX_ODO_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_CART_3DCONFIG ( FILE *out, char *name,
     struct RFLEX_CART_3DCONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_CART_3DSTATE ( FILE *out, char *name,
     struct RFLEX_CART_3DSTATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_GEOM_PARAM_STR ( FILE *out, char *name,
     struct RFLEX_GEOM_PARAM_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_VAR_PARAMS ( FILE *out, char *name,
     struct RFLEX_VAR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_RAW_AXIS_STR ( FILE *out, char *name,
     struct RFLEX_RAW_AXIS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RFLEX_MODE ( FILE *out, char *name,
     enum RFLEX_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_CLIENT_STR ( FILE *out, char *name,
     struct RFLEX_CLIENT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RFLEX_CLIENT_STATUS ( FILE *out, char *name,
     enum RFLEX_CLIENT_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RFLEX_POM_TAGGING ( FILE *out, char *name,
     enum RFLEX_POM_TAGGING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RFLEX_STRING ( FILE *out, char *name,
     struct RFLEX_STRING *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_RFLEX_STRING ( FILE *out, char *name,
     RFLEX_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_POM_TAGGING ( FILE *out, char *name,
     RFLEX_POM_TAGGING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_CLIENT_STATUS ( FILE *out, char *name,
     RFLEX_CLIENT_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_CLIENT_STR ( FILE *out, char *name,
     RFLEX_CLIENT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_MODE ( FILE *out, char *name,
     RFLEX_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_RAW_AXIS_STR ( FILE *out, char *name,
     RFLEX_RAW_AXIS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_VAR_PARAMS ( FILE *out, char *name,
     RFLEX_VAR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_GEOM_PARAM_STR ( FILE *out, char *name,
     RFLEX_GEOM_PARAM_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_CART_3DSTATE ( FILE *out, char *name,
     RFLEX_CART_3DSTATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_CART_3DCONFIG ( FILE *out, char *name,
     RFLEX_CART_3DCONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_ODO_STR ( FILE *out, char *name,
     RFLEX_ODO_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_MISC_ODO ( FILE *out, char *name,
     RFLEX_MISC_ODO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_CONFIG ( FILE *out, char *name,
     RFLEX_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_SONARS_CONFIG ( FILE *out, char *name,
     RFLEX_SONARS_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_POINT ( FILE *out, char *name,
     RFLEX_POINT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_SONARS_CART_MEASURES ( FILE *out, char *name,
     RFLEX_SONARS_CART_MEASURES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_SONARS_RANGE ( FILE *out, char *name,
     RFLEX_SONARS_RANGE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_BATTERY_STATUS ( FILE *out, char *name,
     RFLEX_BATTERY_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_SYSTEM_STATE_STR ( FILE *out, char *name,
     RFLEX_SYSTEM_STATE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_JOYSTICK_STR ( FILE *out, char *name,
     RFLEX_JOYSTICK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_GYRO_MODE ( FILE *out, char *name,
     RFLEX_GYRO_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_GYRO_PARAMS ( FILE *out, char *name,
     RFLEX_GYRO_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_GYRO ( FILE *out, char *name,
     RFLEX_GYRO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_ODOMETRY_MODE ( FILE *out, char *name,
     RFLEX_ODOMETRY_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_ODOMETRY_METHOD ( FILE *out, char *name,
     RFLEX_ODOMETRY_METHOD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_STR ( FILE *out, char *name,
     RFLEX_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_ROBOT_POSTER_STR ( FILE *out, char *name,
     RFLEX_ROBOT_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_MEPOS_POSTER_STR ( FILE *out, char *name,
     RFLEX_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_SONARSCONFIG_POSTER_STR ( FILE *out, char *name,
     RFLEX_SONARSCONFIG_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_SONARSRHO_POSTER_STR ( FILE *out, char *name,
     RFLEX_SONARSRHO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RFLEX_SONARSCART_POSTER_STR ( FILE *out, char *name,
     RFLEX_SONARSCART_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* RFLEX_PRINT_XML_H */

